: Class FileEditorDisplay

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.filetree
Class FileEditorDisplay

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.filetree.FileEditorDisplay

public class FileEditorDisplay
extends java.lang.Object

Display for text, sequence editing, html, gif, png, jpeg.

Inner Class Summary
`(package private) class` | `FileEditorDisplay.PopupListener`

Constructor Summary
`FileEditorDisplay(javax.swing.JFrame ffile, java.lang.String filename)`
`FileEditorDisplay(javax.swing.JFrame ffile, java.lang.String filename, java.lang.Object contents)`
`FileEditorDisplay(java.lang.String filename)`

Method Summary
`javax.swing.JTextPane` | `getJTextPane()` Returns instance of JTextPane.
`byte[]` | `getPNGContent()` Returns the content of a png file or null.
`protected void` | `initStylesForTextPane(javax.swing.JTextPane textPane)` Initialise styles for a JTextPane.
`void` | `setText(java.lang.String text, java.lang.String type, javax.swing.JTextPane seqText)` Set the text & style in the JTextPane.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileEditorDisplay

    public FileEditorDisplay(java.lang.String filename)

### FileEditorDisplay

    public FileEditorDisplay(javax.swing.JFrame ffile,
                             java.lang.String filename)

### FileEditorDisplay

    public FileEditorDisplay(javax.swing.JFrame ffile,
                             java.lang.String filename,
                             java.lang.Object contents)

Method Detail

### getJTextPane

    public javax.swing.JTextPane getJTextPane()

  Returns instance of JTextPane.
  Returns:
    JTextPane created

### setText

    public void setText(java.lang.String text,
                        java.lang.String type,
                        javax.swing.JTextPane seqText)

  Set the text & style in the JTextPane.
  Parameters:
    `String` - text to be put into the JTextPane.
    `String` - style to use ("regular", "sequence", "png", "html").
    `JTextPane` - instance of JTextPane to set the style for.

### getPNGContent

    public byte[] getPNGContent()

  Returns the content of a png file or null.
  Returns:
    byte content of a png file

### initStylesForTextPane

    protected void initStylesForTextPane(javax.swing.JTextPane textPane)

  Initialise styles for a JTextPane.
  Parameters:
    `JTextPane` - instance of JTextPane to initialise styles for.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD